
Foreman - Bug #33611

please expose capabilities in the smart_proxies show API

10/01/2021 08:11 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8805

  

Description

Ohai,

it would be nice if GET /api/smart_proxies/:id would expose capabilities of smart proxy features (and this would also be shown in

hammer proxy info --id ID)

Thanks!

Related issues:

Related to Foreman - Bug #33610: allow searching for Smart Proxies by capabil... New

Copied to Foreman - Bug #33646: please expose settings in the smart_proxies s... New

Associated revisions

Revision d4c5055f - 10/11/2021 03:56 PM - Evgeni Golov

Fixes #33611 - expose capabilities in proxy show

History

#1 - 10/01/2021 08:11 AM - Evgeni Golov

- Related to Bug #33610: allow searching for Smart Proxies by capabilities and settings added

#2 - 10/01/2021 08:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/foreman/pull/8805 added

#3 - 10/06/2021 09:31 AM - Evgeni Golov

- Copied to Bug #33646: please expose settings in the smart_proxies show API added

#4 - 10/06/2021 09:31 AM - Evgeni Golov

- Subject changed from please expose capabilities and settings in the smart_proxies show API to please expose capabilities in the smart_proxies

show API

#5 - 10/06/2021 09:32 AM - Evgeni Golov

- Description updated

#6 - 10/11/2021 03:56 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#7 - 10/11/2021 04:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed
Applied in changeset foreman|d4c5055fd01fcb9087a9cb03677fea4c43de195c.
